﻿using Syncfusion.UI.Xaml.Diagram;
using Syncfusion.UI.Xaml.Diagram.Controls;
using Syncfusion.UI.Xaml.Diagram.Stencil;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace _155152_Stencil
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            diagram.PortVisibility = PortVisibility.Visible;
            (diagram.SelectedItems as ISelector).SelectorConstraints = (diagram.SelectedItems as ISelector).SelectorConstraints & ~SelectorConstraints.QuickCommands;
            diagram.Nodes = new ObservableCollection<Node>();
            Node n1 = new Node()
            {
                UnitHeight = 50,
                UnitWidth = 100,
                OffsetX=200,
                OffsetY=150,
                Content = "Rectangle1",
                Shape = new RectangleGeometry() { Rect = new Rect(0, 0, 10, 10) },
                ShapeStyle = this.Resources["shapeStyle"] as Style,


            };
            Node n2 = new Node()
            {
                UnitHeight = 50,
                UnitWidth = 100,
                OffsetX = 350,
                OffsetY = 250,
                Content = "Rectangle2",
                Shape = new RectangleGeometry() { Rect = new Rect(0, 0, 10, 10) },
                ShapeStyle = this.Resources["shapeStyle"] as Style,


            };
            (diagram.Nodes as ObservableCollection<Node>).Add(n1);
            (diagram.Nodes as ObservableCollection<Node>).Add(n2);
        }

        
        //Filter event
        private bool SymbolFilter(SymbolFilterProvider sender, object symbol)
        {
            return true;
        }
    }

    //Collection of Symbols
    public class SymbolCollection : ObservableCollection<object>
    {

    }

    //Collection of Ports
    public class PortCollection : ObservableCollection<INodePort>
    {

    }
 }
